#!/usr/bin/env node

let [src, dest] = process.argv.slice(2);

const fs = require('fs');
const path = require('path');
const ejs = require('ejs');
const AtlasDataExtractor = require('./lib/AtlasDataExtractor');
const AtlasToPlist = require('./lib/AtlasToPlist');

if (!src) {
    console.error('First argument is path to .atlas, second is destination file (.plist)');
    return;
}

if (!dest) {
    dest = path.join(path.dirname(src), path.basename(src, path.extname(src)) + '.plist');
}

const data = AtlasDataExtractor.extract(src);

data.forEach((pageData) => {
    const plist = AtlasToPlist(pageData);

    ejs.renderFile('templates/plist.ejs', plist, function(err, data){
        fs.writeFileSync(dest, data);
    });
})